Aipo7.0.2のJava7対応

watanabe 54views 更新:2014年11月25日

Aipo7.0.2のJava7対応について編集するファイルは二つになります。

まずcore/src/main/java/org/apache/commons/dbcp/ThreadPoolingDataSource.javaに

public Logger getParentLogger() {
  throw new UnsupportedOperationException();
}

を追記します。

次にpom.xmlに

<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-war-plugin</artifactId>
  <version>2.1.1</version>
</plugin>

を追記することで対応できます。

ログイン / 新規登録してコメントする

このソースコードをストックして後で利用したり、作業に利用したソースコードをまとめることができます。

こちらもお役に立つかもしれません